Access Profile API
Get Access Profile
Get a specific access profile by ID.
GET
/
v2
/
access-profiles
/
{id}
Get Access Profile
curl --request GET \
--url https://public.api.serval.com/v2/access-profiles/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://public.api.serval.com/v2/access-profiles/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public.api.serval.com/v2/access-profiles/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"teamId": "<string>",
"name": "<string>",
"description": "<string>",
"isTeamDefault": true,
"createdAt": "2025-01-15T01:30:15.000Z",
"matchingCriteria": {
"groups": {
"matchType": "ACCESS_PROFILE_GROUP_MATCH_TYPE_UNSPECIFIED",
"includedGroupIds": [
"<string>"
],
"excludedGroupIds": [
"<string>"
]
},
"currentTeam": {
"teamRoles": [
"TEAM_ROLE_UNSPECIFIED"
],
"customRoles": {
"customRoleIds": [
"<string>"
]
}
}
},
"grants": {
"appResourceRoles": [
{
"appResourceRoleId": "<string>",
"useTeamDefaultAccessProfile": true
}
],
"workflows": [
{
"workflowId": "<string>"
}
],
"forms": [
{
"formId": "<string>"
}
],
"skills": {
"skills": [
{
"skillId": "<string>"
}
]
}
},
"builtinProfileType": "<string>",
"scopedId": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the access profile.
Response
200 - application/json
Success
An access profile defines which entitlements are available to which groups of users, and which workflows apply.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Get Access Profile

